Loading...
Searching...
No Matches
Sequencer Queue Interface
MIDI Sequencer
Collaboration diagram for Sequencer Queue Interface:

## Macros

#define | SND_SEQ_QUEUE_DIRECT 253
#define | snd_seq_queue_info_alloca(ptr)
#define | snd_seq_queue_status_alloca(ptr)
#define | snd_seq_queue_tempo_alloca(ptr)
#define | snd_seq_queue_timer_alloca(ptr)

## Typedefs

typedef struct _snd_seq_queue_info | snd_seq_queue_info_t
typedef struct _snd_seq_queue_status | snd_seq_queue_status_t
typedef struct _snd_seq_queue_tempo | snd_seq_queue_tempo_t
typedef struct _snd_seq_queue_timer | snd_seq_queue_timer_t

## Enumerations

enum | snd_seq_queue_timer_type_t { SND_SEQ_TIMER_ALSA = 0 , SND_SEQ_TIMER_MIDI_CLOCK = 1 , SND_SEQ_TIMER_MIDI_TICK = 2 }

## Functions

size_t | snd_seq_queue_info_sizeof (void)
| get size of snd_seq_queue_info_t
int | snd_seq_queue_info_malloc (snd_seq_queue_info_t **ptr)
| allocate an empty snd_seq_queue_info_t using standard malloc
void | snd_seq_queue_info_free (snd_seq_queue_info_t *ptr)
| frees a previously allocated snd_seq_queue_info_t
void | snd_seq_queue_info_copy (snd_seq_queue_info_t *dst, const snd_seq_queue_info_t *src)
| copy one snd_seq_queue_info_t to another
int | snd_seq_queue_info_get_queue (const snd_seq_queue_info_t *info)
| Get the queue id of a queue_info container.
const char * | snd_seq_queue_info_get_name (const snd_seq_queue_info_t *info)
| Get the name of a queue_info container.
int | snd_seq_queue_info_get_owner (const snd_seq_queue_info_t *info)
| Get the owner client id of a queue_info container.
int | snd_seq_queue_info_get_locked (const snd_seq_queue_info_t *info)
| Get the lock status of a queue_info container.
unsigned int | snd_seq_queue_info_get_flags (const snd_seq_queue_info_t *info)
| Get the conditional bit flags of a queue_info container.
void | snd_seq_queue_info_set_name (snd_seq_queue_info_t *info, const char *name)
| Set the name of a queue_info container.
void | snd_seq_queue_info_set_owner (snd_seq_queue_info_t *info, int owner)
| Set the owner client id of a queue_info container.
void | snd_seq_queue_info_set_locked (snd_seq_queue_info_t *info, int locked)
| Set the lock status of a queue_info container.
void | snd_seq_queue_info_set_flags (snd_seq_queue_info_t *info, unsigned int flags)
| Set the conditional bit flags of a queue_info container.
int | snd_seq_create_queue (snd_seq_t *seq, snd_seq_queue_info_t *info)
| create a queue
int | snd_seq_alloc_named_queue (snd_seq_t *seq, const char *name)
| allocate a queue with the specified name
int | snd_seq_alloc_queue (snd_seq_t *handle)
| allocate a queue
int | snd_seq_free_queue (snd_seq_t *handle, int q)
| delete the specified queue
int | snd_seq_get_queue_info (snd_seq_t *seq, int q, snd_seq_queue_info_t *info)
| obtain queue attributes
int | snd_seq_set_queue_info (snd_seq_t *seq, int q, snd_seq_queue_info_t *info)
| change the queue attributes
int | snd_seq_query_named_queue (snd_seq_t *seq, const char *name)
| query the matching queue with the specified name
int | snd_seq_get_queue_usage (snd_seq_t *handle, int q)
| Get the queue usage flag to the client.
int | snd_seq_set_queue_usage (snd_seq_t *handle, int q, int used)
| Set the queue usage flag to the client.
size_t | snd_seq_queue_status_sizeof (void)
| get size of snd_seq_queue_status_t
int | snd_seq_queue_status_malloc (snd_seq_queue_status_t **ptr)
| allocate an empty snd_seq_queue_status_t using standard malloc
void | snd_seq_queue_status_free (snd_seq_queue_status_t *ptr)
| frees a previously allocated snd_seq_queue_status_t
void | snd_seq_queue_status_copy (snd_seq_queue_status_t *dst, const snd_seq_queue_status_t *src)
| copy one snd_seq_queue_status_t to another
int | snd_seq_queue_status_get_queue (const snd_seq_queue_status_t *info)
| Get the queue id of a queue_status container.
int | snd_seq_queue_status_get_events (const snd_seq_queue_status_t *info)
| Get the number of events of a queue_status container.
snd_seq_tick_time_t | snd_seq_queue_status_get_tick_time (const snd_seq_queue_status_t *info)
| Get the tick time of a queue_status container.
const snd_seq_real_time_t * | snd_seq_queue_status_get_real_time (const snd_seq_queue_status_t *info)
| Get the real time of a queue_status container.
unsigned int | snd_seq_queue_status_get_status (const snd_seq_queue_status_t *info)
| Get the running status bits of a queue_status container.
int | snd_seq_get_queue_status (snd_seq_t *handle, int q, snd_seq_queue_status_t *status)
| obtain the running state of the queue
size_t | snd_seq_queue_tempo_sizeof (void)
| get size of snd_seq_queue_tempo_t
int | snd_seq_queue_tempo_malloc (snd_seq_queue_tempo_t **ptr)
| allocate an empty snd_seq_queue_tempo_t using standard malloc
void | snd_seq_queue_tempo_free (snd_seq_queue_tempo_t *ptr)
| frees a previously allocated snd_seq_queue_tempo_t
void | snd_seq_queue_tempo_copy (snd_seq_queue_tempo_t *dst, const snd_seq_queue_tempo_t *src)
| copy one snd_seq_queue_tempo_t to another
int | snd_seq_queue_tempo_get_queue (const snd_seq_queue_tempo_t *info)
| Get the queue id of a queue_status container.
unsigned int | snd_seq_queue_tempo_get_tempo (const snd_seq_queue_tempo_t *info)
| Get the tempo of a queue_status container.
int | snd_seq_queue_tempo_get_ppq (const snd_seq_queue_tempo_t *info)
| Get the ppq of a queue_status container.
unsigned int | snd_seq_queue_tempo_get_skew (const snd_seq_queue_tempo_t *info)
| Get the timer skew value of a queue_status container.
unsigned int | snd_seq_queue_tempo_get_skew_base (const snd_seq_queue_tempo_t *info)
| Get the timer skew base value of a queue_status container.
unsigned int | snd_seq_queue_tempo_get_tempo_base (const snd_seq_queue_tempo_t *info)
| Get the tempo base of a queue_status container.
void | snd_seq_queue_tempo_set_tempo (snd_seq_queue_tempo_t *info, unsigned int tempo)
| Set the tempo of a queue_status container.
void | snd_seq_queue_tempo_set_ppq (snd_seq_queue_tempo_t *info, int ppq)
| Set the ppq of a queue_status container.
void | snd_seq_queue_tempo_set_skew (snd_seq_queue_tempo_t *info, unsigned int skew)
| Set the timer skew value of a queue_status container.
void | snd_seq_queue_tempo_set_skew_base (snd_seq_queue_tempo_t *info, unsigned int base)
| Set the timer skew base value of a queue_status container.
void | snd_seq_queue_tempo_set_tempo_base (snd_seq_queue_tempo_t *info, unsigned int tempo_base)
| Set the tempo base of a queue_status container.
int | snd_seq_get_queue_tempo (snd_seq_t *handle, int q, snd_seq_queue_tempo_t *tempo)
| obtain the current tempo of the queue
int | snd_seq_set_queue_tempo (snd_seq_t *handle, int q, snd_seq_queue_tempo_t *tempo)
| set the tempo of the queue
int | snd_seq_has_queue_tempo_base (snd_seq_t *handle)
| inquiry the support of tempo base change
size_t | snd_seq_queue_timer_sizeof (void)
| get size of snd_seq_queue_timer_t
int | snd_seq_queue_timer_malloc (snd_seq_queue_timer_t **ptr)
| allocate an empty snd_seq_queue_timer_t using standard malloc
void | snd_seq_queue_timer_free (snd_seq_queue_timer_t *ptr)
| frees a previously allocated snd_seq_queue_timer_t
void | snd_seq_queue_timer_copy (snd_seq_queue_timer_t *dst, const snd_seq_queue_timer_t *src)
| copy one snd_seq_queue_timer_t to another
int | snd_seq_queue_timer_get_queue (const snd_seq_queue_timer_t *info)
| Get the queue id of a queue_timer container.
snd_seq_queue_timer_type_t | snd_seq_queue_timer_get_type (const snd_seq_queue_timer_t *info)
| Get the timer type of a queue_timer container.
const snd_timer_id_t * | snd_seq_queue_timer_get_id (const snd_seq_queue_timer_t *info)
| Get the timer id of a queue_timer container.
unsigned int | snd_seq_queue_timer_get_resolution (const snd_seq_queue_timer_t *info)
| Get the timer resolution of a queue_timer container.
void | snd_seq_queue_timer_set_type (snd_seq_queue_timer_t *info, snd_seq_queue_timer_type_t type)
| Set the timer type of a queue_timer container.
void | snd_seq_queue_timer_set_id (snd_seq_queue_timer_t *info, const snd_timer_id_t *id)
| Set the timer id of a queue_timer container.
void | snd_seq_queue_timer_set_resolution (snd_seq_queue_timer_t *info, unsigned int resolution)
| Set the timer resolution of a queue_timer container.
int | snd_seq_get_queue_timer (snd_seq_t *handle, int q, snd_seq_queue_timer_t *timer)
| obtain the queue timer information
int | snd_seq_set_queue_timer (snd_seq_t *handle, int q, snd_seq_queue_timer_t *timer)
| set the queue timer information

## Detailed Description

Sequencer Queue Interface

## Macro Definition Documentation

## SND_SEQ_QUEUE_DIRECT

#define SND_SEQ_QUEUE_DIRECT 253

special queue ids direct dispatch

## snd_seq_queue_info_alloca

#define snd_seq_queue_info_alloca | ( |  | ptr | ) |

Value:
__snd_alloca(ptr, snd_seq_queue_info)
__snd_alloca
#define __snd_alloca(ptr, type)
alloca helper macro.
Definition global.h:110

allocate a snd_seq_queue_info_t container on stack

## snd_seq_queue_status_alloca

#define snd_seq_queue_status_alloca | ( |  | ptr | ) |

Value:
__snd_alloca(ptr, snd_seq_queue_status)

allocate a snd_seq_queue_status_t container on stack

## snd_seq_queue_tempo_alloca

#define snd_seq_queue_tempo_alloca | ( |  | ptr | ) |

Value:
__snd_alloca(ptr, snd_seq_queue_tempo)

allocate a snd_seq_queue_tempo_t container on stack

## snd_seq_queue_timer_alloca

#define snd_seq_queue_timer_alloca | ( |  | ptr | ) |

Value:
__snd_alloca(ptr, snd_seq_queue_timer)

allocate a snd_seq_queue_timer_t container on stack

## Typedef Documentation

## snd_seq_queue_info_t

typedef struct _snd_seq_queue_info snd_seq_queue_info_t

queue information container

## snd_seq_queue_status_t

typedef struct _snd_seq_queue_status snd_seq_queue_status_t

queue status container

## snd_seq_queue_tempo_t

typedef struct _snd_seq_queue_tempo snd_seq_queue_tempo_t

queue tempo container

## snd_seq_queue_timer_t

typedef struct _snd_seq_queue_timer snd_seq_queue_timer_t

queue timer information container

## Enumeration Type Documentation

## snd_seq_queue_timer_type_t

enum snd_seq_queue_timer_type_t

sequencer timer sources

## Function Documentation

## snd_seq_alloc_named_queue()

int snd_seq_alloc_named_queue | ( | snd_seq_t * | seq,
|  | const char * | name )

allocate a queue with the specified name

Parameters

  seq | sequencer handle
  name | the name of the new queue

Returns
  the queue id (zero or positive) on success otherwise a negative error code

See also
  snd_seq_alloc_queue()

## snd_seq_alloc_queue()

int snd_seq_alloc_queue | ( | snd_seq_t * | seq | ) |

allocate a queue

Parameters

  seq | sequencer handle

Returns
  the queue id (zero or positive) on success otherwise a negative error code

See also
  snd_seq_alloc_named_queue(), snd_seq_create_queue(), snd_seq_free_queue(), snd_seq_get_queue_info()

## snd_seq_create_queue()

int snd_seq_create_queue | ( | snd_seq_t * | seq,
|  | snd_seq_queue_info_t * | info )

create a queue

Parameters

  seq | sequencer handle
  info | queue information to initialize

Returns
  the queue id (zero or positive) on success otherwise a negative error code

See also
  snd_seq_alloc_queue()

## snd_seq_free_queue()

int snd_seq_free_queue | ( | snd_seq_t * | seq,
|  | int | q )

delete the specified queue

Parameters

  seq | sequencer handle
  q | queue id to delete

Returns
  0 on success otherwise a negative error code

See also
  snd_seq_alloc_queue()

## snd_seq_get_queue_info()

int snd_seq_get_queue_info | ( | snd_seq_t * | seq,
|  | int | q,
|  | snd_seq_queue_info_t * | info )

obtain queue attributes

Parameters

  seq | sequencer handle
  q | queue id to query
  info | information returned

Returns
  0 on success otherwise a negative error code

See also
  snd_seq_alloc_queue(), snd_seq_set_queue_info(), snd_seq_query_named_queue()

## snd_seq_get_queue_status()

int snd_seq_get_queue_status | ( | snd_seq_t * | seq,
|  | int | q,
|  | snd_seq_queue_status_t * | status )

obtain the running state of the queue

Parameters

  seq | sequencer handle
  q | queue id to query
  status | pointer to store the current status

Returns
  0 on success otherwise a negative error code

Obtains the running state of the specified queue q.

## snd_seq_get_queue_tempo()

int snd_seq_get_queue_tempo | ( | snd_seq_t * | seq,
|  | int | q,
|  | snd_seq_queue_tempo_t * | tempo )

obtain the current tempo of the queue

Parameters

  seq | sequencer handle
  q | queue id to be queried
  tempo | pointer to store the current tempo

Returns
  0 on success otherwise a negative error code

See also
  snd_seq_set_queue_tempo()

## snd_seq_get_queue_timer()

int snd_seq_get_queue_timer | ( | snd_seq_t * | seq,
|  | int | q,
|  | snd_seq_queue_timer_t * | timer )

obtain the queue timer information

Parameters

  seq | sequencer handle
  q | queue id to query
  timer | pointer to store the timer information

Returns
  0 on success otherwise a negative error code

See also
  snd_seq_set_queue_timer()

## snd_seq_get_queue_usage()

int snd_seq_get_queue_usage | ( | snd_seq_t * | seq,
|  | int | q )

Get the queue usage flag to the client.

Parameters

  seq | sequencer handle
  q | queue id

Returns
  1 = client is allowed to access the queue, 0 = not allowed, otherwise a negative error code

See also
  snd_seq_get_queue_info(), snd_seq_set_queue_usage()

## snd_seq_has_queue_tempo_base()

int snd_seq_has_queue_tempo_base | ( | snd_seq_t * | seq | ) |

inquiry the support of tempo base change

Parameters

  seq | sequencer handle

Returns
  1 if the client supports the tempo base change, 0 if not

See also
  snd_seq_get_queue_tempo()

## snd_seq_query_named_queue()

int snd_seq_query_named_queue | ( | snd_seq_t * | seq,
|  | const char * | name )

query the matching queue with the specified name

Parameters

  seq | sequencer handle
  name | the name string to query

Returns
  the queue id if found or negative error code

Searches the matching queue with the specified name string.

See also
  snd_seq_get_queue_info()

## snd_seq_queue_info_copy()

void snd_seq_queue_info_copy | ( | snd_seq_queue_info_t * | dst,
|  | const snd_seq_queue_info_t * | src )

copy one snd_seq_queue_info_t to another

Parameters

  dst | pointer to destination
  src | pointer to source

## snd_seq_queue_info_free()

void snd_seq_queue_info_free | ( | snd_seq_queue_info_t * | obj | ) |

frees a previously allocated snd_seq_queue_info_t

Parameters

  obj | pointer to object to free

## snd_seq_queue_info_get_flags()

unsigned int snd_seq_queue_info_get_flags | ( | const snd_seq_queue_info_t * | info | ) |

Get the conditional bit flags of a queue_info container.

Parameters

  info | queue_info container

Returns
  conditional bit flags

See also
  snd_seq_get_queue_info(), snd_seq_queue_info_set_flags()

## snd_seq_queue_info_get_locked()

int snd_seq_queue_info_get_locked | ( | const snd_seq_queue_info_t * | info | ) |

Get the lock status of a queue_info container.

Parameters

  info | queue_info container

Returns
  lock status — non-zero = locked

See also
  snd_seq_get_queue_info(), snd_seq_queue_info_set_locked()

## snd_seq_queue_info_get_name()

const char * snd_seq_queue_info_get_name | ( | const snd_seq_queue_info_t * | info | ) |

Get the name of a queue_info container.

Parameters

  info | queue_info container

Returns
  name string

See also
  snd_seq_get_queue_info(), snd_seq_queue_info_set_name()

## snd_seq_queue_info_get_owner()

int snd_seq_queue_info_get_owner | ( | const snd_seq_queue_info_t * | info | ) |

Get the owner client id of a queue_info container.

Parameters

  info | queue_info container

Returns
  owner client id

See also
  snd_seq_get_queue_info(), snd_seq_queue_info_set_owner()

## snd_seq_queue_info_get_queue()

int snd_seq_queue_info_get_queue | ( | const snd_seq_queue_info_t * | info | ) |

Get the queue id of a queue_info container.

Parameters

  info | queue_info container

Returns
  queue id

See also
  snd_seq_get_queue_info(), snd_seq_queue_info_set_queue()

## snd_seq_queue_info_malloc()

int snd_seq_queue_info_malloc | ( | snd_seq_queue_info_t ** | ptr | ) |

allocate an empty snd_seq_queue_info_t using standard malloc

Parameters

  ptr | returned pointer

Returns
  0 on success otherwise negative error code

## snd_seq_queue_info_set_flags()

void snd_seq_queue_info_set_flags | ( | snd_seq_queue_info_t * | info,
|  | unsigned int | flags )

Set the conditional bit flags of a queue_info container.

Parameters

  info | queue_info container
  flags | conditional bit flags

See also
  snd_seq_get_queue_info(), snd_seq_queue_info_get_flags()

## snd_seq_queue_info_set_locked()

void snd_seq_queue_info_set_locked | ( | snd_seq_queue_info_t * | info,
|  | int | locked )

Set the lock status of a queue_info container.

Parameters

  info | queue_info container
  locked | lock status

See also
  snd_seq_get_queue_info(), snd_seq_queue_info_get_locked()

## snd_seq_queue_info_set_name()

void snd_seq_queue_info_set_name | ( | snd_seq_queue_info_t * | info,
|  | const char * | name )

Set the name of a queue_info container.

Parameters

  info | queue_info container
  name | name string

See also
  snd_seq_get_queue_info(), snd_seq_queue_info_get_name()

## snd_seq_queue_info_set_owner()

void snd_seq_queue_info_set_owner | ( | snd_seq_queue_info_t * | info,
|  | int | owner )

Set the owner client id of a queue_info container.

Parameters

  info | queue_info container
  owner | client id

See also
  snd_seq_get_queue_info(), snd_seq_queue_info_get_owner()

## snd_seq_queue_info_sizeof()

size_t snd_seq_queue_info_sizeof | ( | void |  | ) |

get size of snd_seq_queue_info_t

Returns
  size in bytes

## snd_seq_queue_status_copy()

void snd_seq_queue_status_copy | ( | snd_seq_queue_status_t * | dst,
|  | const snd_seq_queue_status_t * | src )

copy one snd_seq_queue_status_t to another

Parameters

  dst | pointer to destination
  src | pointer to source

## snd_seq_queue_status_free()

void snd_seq_queue_status_free | ( | snd_seq_queue_status_t * | obj | ) |

frees a previously allocated snd_seq_queue_status_t

Parameters

  obj | pointer to object to free

## snd_seq_queue_status_get_events()

int snd_seq_queue_status_get_events | ( | const snd_seq_queue_status_t * | info | ) |

Get the number of events of a queue_status container.

Parameters

  info | queue_status container

Returns
  number of events

See also
  snd_seq_get_queue_status()

## snd_seq_queue_status_get_queue()

int snd_seq_queue_status_get_queue | ( | const snd_seq_queue_status_t * | info | ) |

Get the queue id of a queue_status container.

Parameters

  info | queue_status container

Returns
  queue id

See also
  snd_seq_get_queue_status()

## snd_seq_queue_status_get_real_time()

const snd_seq_real_time_t * snd_seq_queue_status_get_real_time | ( | const snd_seq_queue_status_t * | info | ) |

Get the real time of a queue_status container.

Parameters

  info | queue_status container

See also
  snd_seq_get_queue_status()

## snd_seq_queue_status_get_status()

unsigned int snd_seq_queue_status_get_status | ( | const snd_seq_queue_status_t * | info | ) |

Get the running status bits of a queue_status container.

Parameters

  info | queue_status container

Returns
  running status bits

See also
  snd_seq_get_queue_status()

## snd_seq_queue_status_get_tick_time()

snd_seq_tick_time_t snd_seq_queue_status_get_tick_time | ( | const snd_seq_queue_status_t * | info | ) |

Get the tick time of a queue_status container.

Parameters

  info | queue_status container

Returns
  tick time

See also
  snd_seq_get_queue_status()

## snd_seq_queue_status_malloc()

int snd_seq_queue_status_malloc | ( | snd_seq_queue_status_t ** | ptr | ) |

allocate an empty snd_seq_queue_status_t using standard malloc

Parameters

  ptr | returned pointer

Returns
  0 on success otherwise negative error code

## snd_seq_queue_status_sizeof()

size_t snd_seq_queue_status_sizeof | ( | void |  | ) |

get size of snd_seq_queue_status_t

Returns
  size in bytes

## snd_seq_queue_tempo_copy()

void snd_seq_queue_tempo_copy | ( | snd_seq_queue_tempo_t * | dst,
|  | const snd_seq_queue_tempo_t * | src )

copy one snd_seq_queue_tempo_t to another

Parameters

  dst | pointer to destination
  src | pointer to source

## snd_seq_queue_tempo_free()

void snd_seq_queue_tempo_free | ( | snd_seq_queue_tempo_t * | obj | ) |

frees a previously allocated snd_seq_queue_tempo_t

Parameters

  obj | pointer to object to free

## snd_seq_queue_tempo_get_ppq()

int snd_seq_queue_tempo_get_ppq | ( | const snd_seq_queue_tempo_t * | info | ) |

Get the ppq of a queue_status container.

Parameters

  info | queue_status container

Returns
  ppq value

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_get_queue()

int snd_seq_queue_tempo_get_queue | ( | const snd_seq_queue_tempo_t * | info | ) |

Get the queue id of a queue_status container.

Parameters

  info | queue_status container

Returns
  queue id

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_get_skew()

unsigned int snd_seq_queue_tempo_get_skew | ( | const snd_seq_queue_tempo_t * | info | ) |

Get the timer skew value of a queue_status container.

Parameters

  info | queue_status container

Returns
  timer skew value

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_get_skew_base()

unsigned int snd_seq_queue_tempo_get_skew_base | ( | const snd_seq_queue_tempo_t * | info | ) |

Get the timer skew base value of a queue_status container.

Parameters

  info | queue_status container

Returns
  timer skew base value

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_get_tempo()

unsigned int snd_seq_queue_tempo_get_tempo | ( | const snd_seq_queue_tempo_t * | info | ) |

Get the tempo of a queue_status container.

Parameters

  info | queue_status container

Returns
  tempo value

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_get_tempo_base()

unsigned int snd_seq_queue_tempo_get_tempo_base | ( | const snd_seq_queue_tempo_t * | info | ) |

Get the tempo base of a queue_status container.

Parameters

  info | queue_status container

Returns
  tempo base time in nsec unit

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_malloc()

int snd_seq_queue_tempo_malloc | ( | snd_seq_queue_tempo_t ** | ptr | ) |

allocate an empty snd_seq_queue_tempo_t using standard malloc

Parameters

  ptr | returned pointer

Returns
  0 on success otherwise negative error code

## snd_seq_queue_tempo_set_ppq()

void snd_seq_queue_tempo_set_ppq | ( | snd_seq_queue_tempo_t * | info,
|  | int | ppq )

Set the ppq of a queue_status container.

Parameters

  info | queue_status container
  ppq | ppq value

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_set_skew()

void snd_seq_queue_tempo_set_skew | ( | snd_seq_queue_tempo_t * | info,
|  | unsigned int | skew )

Set the timer skew value of a queue_status container.

Parameters

  info | queue_status container
  skew | timer skew value

The skew of timer is calculated as skew / base. For example, to play with double speed, pass base * 2 as the skew value.

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_set_skew_base()

void snd_seq_queue_tempo_set_skew_base | ( | snd_seq_queue_tempo_t * | info,
|  | unsigned int | base )

Set the timer skew base value of a queue_status container.

Parameters

  info | queue_status container
  base | timer skew base value

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_set_tempo()

void snd_seq_queue_tempo_set_tempo | ( | snd_seq_queue_tempo_t * | info,
|  | unsigned int | tempo )

Set the tempo of a queue_status container.

Parameters

  info | queue_status container
  tempo | tempo value

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_set_tempo_base()

void snd_seq_queue_tempo_set_tempo_base | ( | snd_seq_queue_tempo_t * | info,
|  | unsigned int | tempo_base )

Set the tempo base of a queue_status container.

Parameters

  info | queue_status container
  tempo_base | tempo base time in nsec unit

See also
  snd_seq_get_queue_tempo()

## snd_seq_queue_tempo_sizeof()

size_t snd_seq_queue_tempo_sizeof | ( | void |  | ) |

get size of snd_seq_queue_tempo_t

Returns
  size in bytes

## snd_seq_queue_timer_copy()

void snd_seq_queue_timer_copy | ( | snd_seq_queue_timer_t * | dst,
|  | const snd_seq_queue_timer_t * | src )

copy one snd_seq_queue_timer_t to another

Parameters

  dst | pointer to destination
  src | pointer to source

## snd_seq_queue_timer_free()

void snd_seq_queue_timer_free | ( | snd_seq_queue_timer_t * | obj | ) |

frees a previously allocated snd_seq_queue_timer_t

Parameters

  obj | pointer to object to free

## snd_seq_queue_timer_get_id()

const snd_timer_id_t * snd_seq_queue_timer_get_id | ( | const snd_seq_queue_timer_t * | info | ) |

Get the timer id of a queue_timer container.

Parameters

  info | queue_timer container

Returns
  timer id pointer

See also
  snd_seq_get_queue_timer()

## snd_seq_queue_timer_get_queue()

int snd_seq_queue_timer_get_queue | ( | const snd_seq_queue_timer_t * | info | ) |

Get the queue id of a queue_timer container.

Parameters

  info | queue_timer container

Returns
  queue id

See also
  snd_seq_get_queue_timer()

## snd_seq_queue_timer_get_resolution()

unsigned int snd_seq_queue_timer_get_resolution | ( | const snd_seq_queue_timer_t * | info | ) |

Get the timer resolution of a queue_timer container.

Parameters

  info | queue_timer container

Returns
  timer resolution

See also
  snd_seq_get_queue_timer()

## snd_seq_queue_timer_get_type()

snd_seq_queue_timer_type_t snd_seq_queue_timer_get_type | ( | const snd_seq_queue_timer_t * | info | ) |

Get the timer type of a queue_timer container.

Parameters

  info | queue_timer container

Returns
  timer type

See also
  snd_seq_get_queue_timer()

## snd_seq_queue_timer_malloc()

int snd_seq_queue_timer_malloc | ( | snd_seq_queue_timer_t ** | ptr | ) |

allocate an empty snd_seq_queue_timer_t using standard malloc

Parameters

  ptr | returned pointer

Returns
  0 on success otherwise negative error code

## snd_seq_queue_timer_set_id()

void snd_seq_queue_timer_set_id | ( | snd_seq_queue_timer_t * | info,
|  | const snd_timer_id_t * | id )

Set the timer id of a queue_timer container.

Parameters

  info | queue_timer container
  id | timer id pointer

See also
  snd_seq_get_queue_timer()

## snd_seq_queue_timer_set_resolution()

void snd_seq_queue_timer_set_resolution | ( | snd_seq_queue_timer_t * | info,
|  | unsigned int | resolution )

Set the timer resolution of a queue_timer container.

Parameters

  info | queue_timer container
  resolution | timer resolution

See also
  snd_seq_get_queue_timer()

## snd_seq_queue_timer_set_type()

void snd_seq_queue_timer_set_type | ( | snd_seq_queue_timer_t * | info,
|  | snd_seq_queue_timer_type_t | type )

Set the timer type of a queue_timer container.

Parameters

  info | queue_timer container
  type | timer type

See also
  snd_seq_get_queue_timer()

## snd_seq_queue_timer_sizeof()

size_t snd_seq_queue_timer_sizeof | ( | void |  | ) |

get size of snd_seq_queue_timer_t

Returns
  size in bytes

## snd_seq_set_queue_info()

int snd_seq_set_queue_info | ( | snd_seq_t * | seq,
|  | int | q,
|  | snd_seq_queue_info_t * | info )

change the queue attributes

Parameters

  seq | sequencer handle
  q | queue id to change
  info | information changed

Returns
  0 on success otherwise a negative error code

See also
  snd_seq_get_queue_info()

## snd_seq_set_queue_tempo()

int snd_seq_set_queue_tempo | ( | snd_seq_t * | seq,
|  | int | q,
|  | snd_seq_queue_tempo_t * | tempo )

set the tempo of the queue

Parameters

  seq | sequencer handle
  q | queue id to change the tempo
  tempo | tempo information

Returns
  0 on success otherwise a negative error code

See also
  snd_seq_get_queue_tempo()

## snd_seq_set_queue_timer()

int snd_seq_set_queue_timer | ( | snd_seq_t * | seq,
|  | int | q,
|  | snd_seq_queue_timer_t * | timer )

set the queue timer information

Parameters

  seq | sequencer handle
  q | queue id to change the timer
  timer | timer information

Returns
  0 on success otherwise a negative error code

See also
  snd_seq_get_queue_timer()

## snd_seq_set_queue_usage()

int snd_seq_set_queue_usage | ( | snd_seq_t * | seq,
|  | int | q,
|  | int | used )

Set the queue usage flag to the client.

Parameters

  seq | sequencer handle
  q | queue id
  used | non-zero if the client is allowed

Returns
  0 on success otherwise a negative error code

See also
  snd_seq_get_queue_info(), snd_seq_set_queue_usage()